Bug 245163 - Promise FastTrak (pdc202xx_old) on Fedora7
Promise FastTrak (pdc202xx_old) on Fedora7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 08:52 EDT by Wiktor Stasiak
Modified: 2008-06-16 21:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (42.32 KB, text/plain)
2007-06-21 08:52 EDT, Wiktor Stasiak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 9337 None None None Never

  None (edit)
Description Wiktor Stasiak 2007-06-21 08:52:52 EDT
Description of problem:
Kernel does not handle Promise FastTrak controller in a right way.
As I found out googling internet probably pdc202xx_old module does not see that
80pin cable is connected to disk and it automatically downgrade speed to UDMA2.
Additionally there is lots of ata error which downgrades speed to PIO4. I attach
my dmesg (kernel booted witch 'irqpoll' parameter)

Same configuration worked (works) without any problem on FC6 and Ubuntu 7.04

Version-Release number of selected component (if applicable):
2.6.21-1.3228.fc7 and all before
  
Actual results:
Really poor disk performance.
/dev/sda:
 Timing cached reads:   236 MB in  2.01 seconds = 117.30 MB/sec
 Timing buffered disk reads:    2 MB in  4.82 seconds = 424.47 kB/sec

Expected results:
Same test on Ubuntu
/dev/hde:
 Timing cached reads:   254 MB in  2.01 seconds = 126.38 MB/sec
 Timing buffered disk reads:  164 MB in  3.03 seconds =  54.19 MB/sec

Additional info:
Comment 1 Wiktor Stasiak 2007-06-21 08:52:52 EDT
Created attachment 157532 [details]
dmesg
Comment 2 Alfonso Gazo 2007-07-29 04:36:48 EDT
Same behavior here with every FC7 kernel, including 2.6.22.1-33.fc7, which I
think it is supposed to have the cable detection logic fixed.

Just like the previous comment, disk drives are Seagate ones: ST380021A, 3.19
and ST3120022A, 3.06

These disks were working right with previous versions of Fedora.

Comment 3 Christopher Brown 2007-09-17 07:44:14 EDT
Hello folks,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 4 Yanko Kaneti 2007-10-04 18:30:09 EDT
I've been told that pata_pdc202xx_old /which is used for FastTrak's since the
libata switch/ is not really reliable right now and I should switch to the old
ide code. AFAICS there is no way to use the old IDE code in Fedora barring
building a custom kernel.

see: http://marc.info/?l=linux-ide&m=119153041016574&w=2
Comment 5 Trevor Cordes 2007-12-13 21:10:44 EST
Same as:

http://bugzilla.kernel.org/show_bug.cgi?id=9337

Hopefully when fixed Fedora can integrate it from the latest kernel.
Comment 6 Christopher Brown 2008-01-03 18:26:40 EST
(In reply to comment #5)
> Same as:
> 
> http://bugzilla.kernel.org/show_bug.cgi?id=9337
> 
> Hopefully when fixed Fedora can integrate it from the latest kernel.

Since Alan is handling this upstream he can confirm or deny this and I've
re-assigned it to him as such.

Cheers
Chris
Comment 7 Alan Cox 2008-01-03 18:39:48 EST
I've been testing a PDC20263 card today to try and pin this down further. Got a
couple of patches pending for -mm but want to test them a little bit first
Comment 8 Alan Cox 2008-01-17 11:53:51 EST
20267 card arrived today (ebay has its uses for junk PC hardware). I'll be doing
some testing on this board now
Comment 9 Bug Zapper 2008-05-14 09:13:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:40:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.